org.eclipse.emf.cdo.common.commit.handler

## Class TextCommitInfoLog

- java.lang.Object
- - org.eclipse.emf.cdo.common.commit.handler.TextCommitInfoLog

- All Implemented Interfaces:
    CDOCommitInfoHandler

      public class TextCommitInfoLog
      extends Object
      implements CDOCommitInfoHandler

  A `commit info handler` that synchronously writes `commit infos` to a text log.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextCommitInfoLog(OutputStream stream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleCommitInfo(CDOCommitInfo commitInfo)`
    `protected void` | `handleException(Exception ex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextCommitInfoLog

          public TextCommitInfoLog(OutputStream stream)

  - ### Method Detail

    - #### handleCommitInfo

          public void handleCommitInfo(CDOCommitInfo commitInfo)

      Specified by:
        `handleCommitInfo` in interface `CDOCommitInfoHandler`

    - #### handleException

          protected void handleException(Exception ex)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html